io_uring_queue_mmap(3)

NAME
io_uring_queue_mmap - mmap io_uring ring after setup

SYNOPSIS
#include <liburing.h>

int io_uring_queue_mmap(int fd, struct io_uring_params *p,
                        struct io_uring *ring);

DESCRIPTION

The io_uring_queue_mmap(3) function maps the io_uring ring file descriptor fd into memory using the parameters in p. The resulting ring is stored in ring.

This function is a helper for applications that need to customize the ring setup process. Most applications should use io_uring_queue_init(3) or io_uring_queue_init_params(3) instead, which call io_uring_setup(2) and this function automatically.

The fd argument should be a file descriptor returned by io_uring_setup(2), and p should contain the parameters returned by the setup call.

RETURN VALUE
Returns 0 on success, or a negative errno value on error.

SEE ALSO
io_uring_setup(2), io_uring_queue_init(3), io_uring_queue_init_params(3), io_uring_queue_exit(3)